From 9ced943d4858c4b2f56c4e4a55d27adc80a3bbae Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 19:34:51 +0000
Subject: [PATCH 253/1001] Test the about widget.


---

diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 8b732c3..2238a4c 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -1,3 +1,4 @@
+import json
 from os.path import dirname
 import unittest
 
@@ -39,6 +40,16 @@ class WidgetTest(unittest.TestCase):
             hubs.models.User.get_or_create(
                 hubs.app.session, openid=openid, fullname=fullname)
 
+        hubs.app.session.flush()
+
+        hub = hubs.models.Hub.by_name(hubs.app.session, 'ralph')
+        widget = hubs.models.Widget(
+            plugin='about',
+            index=500,
+            _config=json.dumps({"text": "Testing."}),
+        )
+        hub.widgets.append(widget)
+
         for team in ['i18n', 'infra']:
             hub = hubs.models.Hub(name=team, summary="the %s team" % team)
             hubs.app.session.add(hub)
diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
new file mode 100644
index 0000000..3586998
--- /dev/null
+++ b/hubs/tests/test_widgets/test_about.py
@@ -0,0 +1,18 @@
+import json
+
+import hubs.tests.test_widgets
+
+
+class TestBadges(hubs.tests.test_widgets.WidgetTest):
+    plugin = 'about'  # The name in hubs.widgets.registry
+
+    def test_data_simple(self):
+        widget = self.widget_instance('ralph', self.plugin)
+        response = self.app.get('/ralph/%i/json/' % widget.idx)
+        assert response.status_code == 200, response.status_code
+        data = json.loads(response.data)
+        self.assertDictEqual(data['data'], {
+            u'source_url': u'/source/about/',
+            u'text': u'Testing.',
+            u'widget_url': u'/ralph/41/',
+        })
